Skip to main content
GET
/
v1
/
macro
/
index
/
1min
Get Index 1-Minute Price Data
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/macro/index/1min \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "close": 123,
      "data_type": "<string>",
      "high": 123,
      "low": 123,
      "open": 123,
      "symbol": "<string>",
      "timestamp": 123,
      "volume": 123
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string
required

Index symbol (e.g., ^SPX, ^DJI, ^IXIC or SPX, DJI, IXIC)

start_time
integer<int64>
required

Start time (Unix timestamp in seconds)

end_time
integer<int64>
required

End time (Unix timestamp in seconds)

limit
integer<int32>

Max rows to return (1-500)

Response

Successfully retrieved index 1min price data

data
object[]
error
object
pagination
any
request_id
string
success
boolean